# 2025-12-17: Webhook Service - update category event schema

## Overview

Category event schemas were updated to include support for classification categories and their associated mixins.

## Added new fields

| Event                | Description                                                                     |
| -------------------- | ------------------------------------------------------------------------------- |
| `category.created`   | Support for `classificationMixins` added.                                       |
| `category.updated`   | Support for `classificationMixinsBefore` and `classificationMixinsAfter` added. |
| `assignment.created` | Support for `classificationMixins` added.                                       |

## Known problems

There are no known problems.

## Links

* [Events - Category Tree](/api-references/api-guides/webhooks/webhook-events/events-category.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-12-17-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
